/*
 * Copyright 1994-1995 TriloBYTE Software Solutions.
 *
 * Author: Amen Zwa, TriloBYTE.
 */



// static char* sccsid = "XmWidget: %W%\t%G%\tAmen Zwa, TriloBYTE.";



// WOpen.h: open dialog class



#if !defined(WOPEN_H)
#define WOPEN_H

#include "WShl.h"
#include "WEtc.h"



enum {
    io_open_pbtn,
    io_cancel_pbtn
};



class WOpen : public WDialogFile {
    friend void cp_open_opn(Widget w, XtPointer usr, XtPointer wgt);
    friend void cp_cancel_opn(Widget w, XtPointer usr, XtPointer wgt);
public:
    WOpen(Widget par);
    // access functions
    void set_cp_activate(XtCallbackProc c, XtPointer u=0) {
	cp = c; usrdata = u; }
};

#endif	// WOPEN_H
